using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework.InteractionSystem
{
    public abstract class Action : Actionlike, Receivable
    {
        private Interactable sender;

        protected Action(Interactable sender)
        {
            this.sender = sender;
        }

        public Interactable GetSender()
        {
            return this.sender;
        }

        public override string ToString()
        {
            return this.GetType().Name;
        }
    }
}
